import { Component } from '@angular/core';
import { FormGroup, FormControl, Validators } from '@angular/forms';
import { Router } from '@angular/router';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.scss', '../auth.component.scss']
})
export class LoginComponent {
  loginForm = new FormGroup({
    username: new FormControl(''),
    password: new FormControl('')
  });

  constructor(private router: Router) {
    this.loginForm.addValidators([Validators.required]);
  }

  login() {
    if (this.loginForm.valid) this.router.navigateByUrl("/feed");
    else alert("missing username or password");
  }
}
